Bug 1361420 - CVE-2016-5416 389-ds-base: ACI readable by anonymous user [fedora-all]
Summary: CVE-2016-5416 389-ds-base: ACI readable by anonymous user [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 24
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: wibrown@redhat.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-5416
TreeView+ depends on / blocked
 
Reported: 2016-07-29 05:09 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-11-19 21:10 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.3.5.7 389-ds-base-1.3.5.15-1.fc24 389-ds-base-1.3.5.15-1.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-06 00:26:15 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2016-07-29 05:09:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2016-07-29 05:09:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1361419,1361420

# Description of your update
notes=Security fix for CVE-2016-5416

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Florian Weimer 2016-10-01 19:13:16 UTC
Is it sufficient to install the software update, or is it necessary to make manual changes to restrict access (and the change becomes effective automatically for new installations only)?

Comment 3 Noriko Hosoi 2016-10-03 01:44:05 UTC
(In reply to Florian Weimer from comment #2)
> Is it sufficient to install the software update, or is it necessary to make
> manual changes to restrict access (and the change becomes effective
> automatically for new installations only)?

> the change becomes effective automatically for new installations only?
This is correct.  We were reluctant to change it on the existing server instances.

To apply the change on the existing suffixes, the administrators are supposed to replace the aci on each suffix as follows:
ldapmodify -x [...] -D 'cn=directory manager' -W << EOF
dn: <SUFFIX>
changetype: modify
delete: aci
aci: (targetattr!="userPassword")(version 3.0; acl "Enable anonymous access"; allow (read, search, compare) userdn="ldap:///anyone";) 
-
add: aci
aci: (targetattr!="userPassword || aci")(version 3.0; acl "Enable anonymous access"; allow (read, search, compare) userdn="ldap:///anyone";) 
EOF

Thanks.

Comment 4 Fedora Update System 2016-11-03 20:45:15 UTC
389-ds-base-1.3.5.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 5 Fedora Update System 2016-11-03 21:17:34 UTC
389-ds-base-1.3.5.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 6 Fedora Update System 2016-11-05 03:34:43 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 7 Fedora Update System 2016-11-05 18:59:41 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 8 Fedora Update System 2016-11-06 00:26:15 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-19 21:10:50 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.